makecol15_dither(3)

NAME
makecol15_dither, makecol16_dither

SYNOPSIS
#include <allegro.h>

int makecol15_dither(int r, int g, int b, int x, int y); int makecol16_dither(int r, int g, int b, int x, int y);

DESCRIPTION
Given both a color value and a pixel coordinate, calculate a dithered 15 or 16 bit RGB value. This can produce better results when reducing images from truecolor to hicolor. In addition to calling these functions directly, hicolor dithering can be automatically enabled when loading graphics by calling the set_color_conversion() function, for example set_color_conversion (COLORCONV_REDUCE_TRUE_TO_HI | COLORCONV_DITHER).

SEE ALSO
makecol(3), makecol8(3), set_color_conversion(3)